Package org.apache.sysds.runtime.codegen

# Class SpoofCUDAOperator.PrecisionProxy

java.lang.Object
org.apache.sysds.runtime.codegen.SpoofCUDAOperator.PrecisionProxy

Direct Known Subclasses:
  `SpoofCUDAInstruction.DoublePrecision`, `SpoofCUDAInstruction.SinglePrecision`

Enclosing interface:
  SpoofCUDAOperator

public abstract static class SpoofCUDAOperator.PrecisionProxy extends Object

## Constructor Summary

Constructors
Constructor
Description
`PrecisionProxy()`

## Method Summary

Modifier and Type
Method
Description
`abstract int`
`exec(SpoofCUDAOperator op)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrecisionProxy

public PrecisionProxy()

## Method Details

### exec

public abstract int exec(SpoofCUDAOperator op)